# Class MessagePhase

#### Hierarchy (view full)

- Phase
  - MessagePhase
    - TestMessagePhase

- Defined in src/phases.ts:3440

#####
Index

### Constructors

constructor

### Properties

callbackDelay
prompt
promptDelay
scene
text

### Methods

end
start

## Constructors

### constructor

- new MessagePhase(scene, text, callbackDelay?, prompt?, promptDelay?): MessagePhase

- #### Parameters

  - scene: default
  - text: string
  - `Optional` callbackDelay: number
  - `Optional` prompt: boolean
  - `Optional` promptDelay: number

  #### Returns MessagePhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:3446

## Properties

### `Private` callbackDelay

callbackDelay: number

- Defined in src/phases.ts:3442

### `Private` prompt

prompt: boolean

- Defined in src/phases.ts:3443

### `Private` promptDelay

promptDelay: number

- Defined in src/phases.ts:3444

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

### `Private` text

text: string

- Defined in src/phases.ts:3441

## Methods

### end

- end(): void

- #### Returns void

  Overrides Phase.end

  - Defined in src/phases.ts:3467

### start

- start(): void

- #### Returns void

  Overrides Phase.start

  - Defined in src/phases.ts:3455